Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font
Class Font

    java.lang.Object
      org.apache.batik.svggen.font.Font

    public class Font

extends Object

The TrueType font.

Constructor Summary
`Font()` Constructor

Method Summary
`static Font` | `create()`
`static Font` | `create(String pathName)`
`int` | `getAscent()`
`CmapTable` | `getCmapTable()`
`int` | `getDescent()`
`Glyph` | `getGlyph(int i)`
`HeadTable` | `getHeadTable()`
`HheaTable` | `getHheaTable()`
`HmtxTable` | `getHmtxTable()`
`LocaTable` | `getLocaTable()`
`MaxpTable` | `getMaxpTable()`
`NameTable` | `getNameTable()`
`int` | `getNumGlyphs()`
`Os2Table` | `getOS2Table()`
`String` | `getPath()`
`PostTable` | `getPostTable()`
`Table` | `getTable(int tableType)`
`TableDirectory` | `getTableDirectory()`
`protected void` | `read(String pathName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Font

    public Font()

  Constructor

Method Detail

### getTable

    public Table getTable(int tableType)

### getOS2Table

    public Os2Table getOS2Table()

### getCmapTable

    public CmapTable getCmapTable()

### getHeadTable

    public HeadTable getHeadTable()

### getHheaTable

    public HheaTable getHheaTable()

### getHmtxTable

    public HmtxTable getHmtxTable()

### getLocaTable

    public LocaTable getLocaTable()

### getMaxpTable

    public MaxpTable getMaxpTable()

### getNameTable

    public NameTable getNameTable()

### getPostTable

    public PostTable getPostTable()

### getAscent

    public int getAscent()

### getDescent

    public int getDescent()

### getNumGlyphs

    public int getNumGlyphs()

### getGlyph

    public Glyph getGlyph(int i)

### getPath

    public String getPath()

### getTableDirectory

    public TableDirectory getTableDirectory()

### read

    protected void read(String pathName)

  Parameters:
    `pathName` - Path to the TTF font file

### create

    public static Font create()

### create

    public static Font create(String pathName)

  Parameters:
    `pathName` - Path to the TTF font file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.